Debian Bug report logs - #573848
tangogps: does not show location with gpsd 2.92-1

version graph

Package: tangogps; Maintainer for tangogps is Daniel Baumann <daniel@lists.debian-maintainers.org>;

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Sun, 14 Mar 2010 12:51:01 UTC

Severity: important

Found in version tangogps/0.99.3+debian-1

Fixed in version tangogps/0.99.3+debian-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#573848; Package tangogps. (Sun, 14 Mar 2010 12:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Sun, 14 Mar 2010 12:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tangogps: does not show location with gpsd 2.92-1
Date: Sun, 14 Mar 2010 14:50:13 +0200
Package: tangogps
Version: 0.99.3+debian-1
Severity: important

Steps to reproduce:
1) gpsd -b -G -N -n -D 1 /dev/ttySAC1
2) tangogps

Expected results:
2) tangogps shows current location

Actual results:
2) tangogps does not show current location

More info:
1) cgps -s shows current location just fine
2) stderr has
lindi@ginger:~$ tangogps
REPOLIST == NULL
*** on_drawingarea1_configure_event():
pixmap created
*** track_log_open(): /home/lindi/Maps/20100314_133941.log
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}
*** on_drawingarea1_configure_event():
pixmap created
*** reset_gpsd_io():
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}
*** reset_gpsd_io():
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}
*** reset_gpsd_io():
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}
*** reset_gpsd_io():
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}
*** reset_gpsd_io():
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}
*** reset_gpsd_io():
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}
*** reset_gpsd_io():
connection to gpsd SUCCEEDED
Rcvd: {"class":"VERSION","release":"2.92","rev":"svn","proto_major":3,"proto_minor":1}

3) source code shows that tangogps is sending "r" command to gpsd
port. These one-letter commands are not supported by gpsd 2.92-1 in
debian unstable and squeeze. tangogps should use libgps19 to talk to
GPS instead of trying to talk the protocol manually.

4) A quick'n'dirty patch of


--- tangogps-0.99.3+debian.orig/src/gps_functions.c
+++ tangogps-0.99.3+debian/src/gps_functions.c
@@ -904,7 +904,7 @@
        int conn, len;
        char buffer[501];
        struct sockaddr_in server;
-       char buffer_send[] = "r";
+       char buffer_send[] = "?WATCH={\"class\":\"WATCH\",\"enable\":true,\"json\":false,\"nmea\":true,\"raw\":0,\"scaled\":false,\"timing\":false}\n";


        if (sock) sock = close(sock);


seems to work but I have not done much testing with it.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.29-GTA02_lindi2-andy-tracking-mokodev
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages tangogps depends on:
ii  libatk1.0-0              1.28.0-1        The ATK accessibility toolkit
ii  libc6                    2.10.2-6        Embedded GNU C Library: Shared lib
ii  libcairo2                1.8.10-2        The Cairo 2D vector graphics libra
ii  libcurl3-gnutls          7.20.0-1        Multi-protocol file transfer libra
ii  libexif12                0.6.19-1        library to parse EXIF files
ii  libfontconfig1           2.8.0-2         generic font configuration library
ii  libfreetype6             2.3.11-1        FreeType 2 font engine, shared lib
ii  libgconf2-4              2.28.0-1        GNOME configuration database syste
ii  libglib2.0-0             2.22.4-1        The GLib library of C routines
ii  libgtk2.0-0              2.18.7-1        The GTK+ graphical user interface 
ii  libpango1.0-0            1.26.2-1        Layout and rendering of internatio
ii  libsqlite3-0             3.6.22-1        SQLite 3 shared library
ii  libxml2                  2.7.6.dfsg-2+b1 GNOME XML library

Versions of packages tangogps recommends:
ii  gpsd                          2.92-1     Global Positioning System - daemon

Versions of packages tangogps suggests:
ii  python                        2.5.4-9    An interactive high-level object-o

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#573848; Package tangogps. (Tue, 16 Mar 2010 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Bauer <marcus.bauer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 16 Mar 2010 10:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 573848@bugs.debian.org (full text, mbox):

From: Marcus Bauer <marcus.bauer@gmail.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 573848@bugs.debian.org
Subject: Re: Bug#573848: tangogps: does not show location with gpsd 2.92-1
Date: Tue, 16 Mar 2010 11:50:28 +0100
Imho the right solution here is to file a bug against gpsd. On the
announce list of gpsd is no information whatsoever that they are going
to break the API - and this breakage happens between two minor versions
going from 2.90 to 2.92.

It is good habit in the open source world to have a major version jump
when the API is going to break, otherwise it introduces a pain in the
neck for users and deveolpers the like.

TangoGPS uses an gpsd API that has been around for years and the fact
that ESR right out of the blue decides he doesn't want people to use
it but go with his libgpsd is a rather void argument, especially with
regard to the fact that libgpsd has been very buggy just two years ago.

The right thing to do is to keep the gpsd API prior 2.91 around and
afterwards have two gpsd, a gpsd2 package and a gpsd3 package.

Concerning the patch from Timo: should work as a quick fix.





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#573848; Package tangogps. (Tue, 16 Mar 2010 11:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Bauer <marcus.bauer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 16 Mar 2010 11:27:08 GMT) Full text and rfc822 format available.

Message #15 received at 573848@bugs.debian.org (full text, mbox):

From: Marcus Bauer <marcus.bauer@gmail.com>
To: 573848@bugs.debian.org
Subject: Re: Bug#573848: Info received (Bug#573848: tangogps: does not show location with gpsd 2.92-1)
Date: Tue, 16 Mar 2010 12:25:51 +0100
I have filed a bug against gpsd: Bug#574105




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#573848; Package tangogps. (Tue, 16 Mar 2010 16:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 16 Mar 2010 16:54:07 GMT) Full text and rfc822 format available.

Message #20 received at 573848@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Marcus Bauer <marcus.bauer@gmail.com>
Cc: 573848@bugs.debian.org
Subject: Re: Bug#573848: tangogps: does not show location with gpsd 2.92-1
Date: Tue, 16 Mar 2010 18:50:38 +0200
I cloned

git://git.debian-maintainers.org/git/daniel/tangogps.git

add added a new branch "libgps-support". It builds and works but I
have not tested it much. The branch is available at

http://iki.fi/lindi/git/tangogps.git

and currently holds the following changes:

commit b29d66916c0bcf5154fd44aec4d305e2c314ed6b
Author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Date:   Tue Mar 16 16:06:01 2010 +0000

    Use libgps instead of custom NMEA parser. First try, only minimal
    testing has been done.

commit 2f1bdcf094df693f522b0531c0364ed2d263d015
Author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Date:   Tue Mar 16 15:28:52 2010 +0000

    Link against libgps.

commit 7e430b29e274d7296be16bc93884b240d75c2b93
Author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Date:   Tue Mar 16 13:39:57 2010 +0000

    Rename gps_{data,fix}_t to tangogps_gps_{data,fix}_t so that they do no clash with types defined in libgps.

commit 195ce70e032e2da745a1563503fb92b77dbbfbd6
Author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Date:   Tue Mar 16 13:55:07 2010 +0000

    Remove files generated by autoreconf -i from git.

commit bc126191f89a875b9bd050f07ce8ccf7915f4f56
Author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Date:   Tue Mar 16 12:01:01 2010 +0000

    Remove generated files config.guess and config.sub from git.


Excuse me if I have done something silly, my git skills are still
pretty weak. I did my first git rebase today when I noticed a typo in
an earlier commit message :-)




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 19 Mar 2010 07:42:25 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Fri, 19 Mar 2010 07:42:25 GMT) Full text and rfc822 format available.

Message #25 received at 573848-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573848-close@bugs.debian.org
Subject: Bug#573848: fixed in tangogps 0.99.3+debian-2
Date: Fri, 19 Mar 2010 07:32:33 +0000
Source: tangogps
Source-Version: 0.99.3+debian-2

We believe that the bug you reported is fixed in the latest version of
tangogps, which is due to be installed in the Debian FTP archive:

tangogps_0.99.3+debian-2.diff.gz
  to main/t/tangogps/tangogps_0.99.3+debian-2.diff.gz
tangogps_0.99.3+debian-2.dsc
  to main/t/tangogps/tangogps_0.99.3+debian-2.dsc
tangogps_0.99.3+debian-2_i386.deb
  to main/t/tangogps/tangogps_0.99.3+debian-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573848@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tangogps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Mar 2010 08:17:24 +0100
Source: tangogps
Binary: tangogps
Architecture: source i386
Version: 0.99.3+debian-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tangogps   - GTK+ mapping and GPS application
Closes: 573848
Changes: 
 tangogps (0.99.3+debian-2) unstable; urgency=low
 .
   * Adding patch from upstream to update gps functions to work with
     current gpsd versions (Closes: #573848).
Checksums-Sha1: 
 27afbcc18428dbaddd00074b81a22671bcf97629 1375 tangogps_0.99.3+debian-2.dsc
 30154a20daf4baab0e69733b98508f2f0a87789b 8184 tangogps_0.99.3+debian-2.diff.gz
 84c05e25d26dfd1a5db27d9160e93a784a06817f 158648 tangogps_0.99.3+debian-2_i386.deb
Checksums-Sha256: 
 6597e20fd4faee9bbecfac94f3fb4a2e5c30063175e21c66de24b050585365f5 1375 tangogps_0.99.3+debian-2.dsc
 067fed8977c05a4003304e94e90e66d094afd0ebf6544807626ecc3c16a9d2bd 8184 tangogps_0.99.3+debian-2.diff.gz
 dfbdf7e1721cd251888f0205b53ffcef8e5e999d261836188f6e937757c511f9 158648 tangogps_0.99.3+debian-2_i386.deb
Files: 
 9157bedbfa9d085366897a119fcf1bce 1375 comm optional tangogps_0.99.3+debian-2.dsc
 c02bd865e298b7224a2acf4973fe881b 8184 comm optional tangogps_0.99.3+debian-2.diff.gz
 7ca74c9504cd6ad4b01f664c29686fb2 158648 comm optional tangogps_0.99.3+debian-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkujJXMACgkQ+C5cwEsrK55KRACguumKQqs1aw/z1UucTsIPWSag
Q8YAoIK+Dp2/GKSQdWQ4W6a+Be/ZR4yF
=E7Ec
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 07:55:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:50:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.